# Gimp.Brush.set_aspect_ratio

    @accepts(Gimp.Brush, float, float)
    @returns(bool)
    def set_aspect_ratio(self, aspect_ratio_in, aspect_ratio_out):
        # Python wrapper for gimp_brush_set_aspect_ratio()

Sets the aspect ratio of a generated brush.

Sets the aspect ratio for a generated brush. Clamps aspect ratio to [0.0, 1000.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Since 2.4

self

  The brush.

aspect_ratio_in

  The desired brush aspect ratio.

aspect_ratio_out

  The brush aspect ratio actually assigned.

Returns